POST /plan-runs
POST
/plan-runs
const url = 'https://example.com/plan-runs';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/plan-runsResponses
Section titled “Responses”Successful response.
Media typeapplication/json
object
planRun
required
object
id
required
string
planId
string | null
source
required
string
projectId
required
string
agentName
required
string
promptTemplate
required
string
ref
string | null
providerOverride
string | null
modelOverride
string | null
maxCostUsd
number | null
dispatcherHandle
required
string
trigger
required
string
state
required
string
failureReason
string | null
createdAt
required
string
startedAt
string | null
endedAt
string | null
children
required
Array<object>
object
planRunId
required
string
seq
required
integer
seedId
required
string
runId
required
string | null
state
required
string
createdAt
required
string
updatedAt
required
string
startedAt
string | null
endedAt
string | null
prMergedAt
string | null
failureReason
string | null
Example
{ "planRun": { "source": "plan", "state": "queued" }, "children": [ { "state": "pending" } ]}default
Section titled “default”Error response (see src/core/errors.ts).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
hint
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "hint": "example" }}